ZenLib

Public Attributes | List of all members
_HTTP_REQUEST Struct Reference

`#include <HTTPClient.h>`

## Public Attributes
HTTP_URL | HttpUrl
HTTP_HEADERS | HttpHeaders
HTTP_HEADERS_INFO | HttpHeadersInfo
HTTP_AUTH_HEADER | HttpAuthHeader
HTTP_PROXY | HttpProxy
HTTP_CREDENTIALS | HttpCredentials
HTTP_CONNECTION | HttpConnection
HTTP_COUNTERS | HttpCounters
UINT32 | HttpState
UINT32 | HttpFlags

## Member Data Documentation

## ◆ HttpAuthHeader

HTTP_AUTH_HEADER _HTTP_REQUEST::HttpAuthHeader

## ◆ HttpConnection

HTTP_CONNECTION _HTTP_REQUEST::HttpConnection

## ◆ HttpCounters

HTTP_COUNTERS _HTTP_REQUEST::HttpCounters

## ◆ HttpCredentials

HTTP_CREDENTIALS _HTTP_REQUEST::HttpCredentials

## ◆ HttpFlags

UINT32 _HTTP_REQUEST::HttpFlags

## ◆ HttpHeaders

HTTP_HEADERS _HTTP_REQUEST::HttpHeaders

## ◆ HttpHeadersInfo

HTTP_HEADERS_INFO _HTTP_REQUEST::HttpHeadersInfo

## ◆ HttpProxy

HTTP_PROXY _HTTP_REQUEST::HttpProxy

## ◆ HttpState

UINT32 _HTTP_REQUEST::HttpState

## ◆ HttpUrl

HTTP_URL _HTTP_REQUEST::HttpUrl

The documentation for this struct was generated from the following file:

- HTTPClient.h